%define major		5
%define api		3
%define libname		%mklibname %{name} %{api} %{major}
%define libnamedev	%mklibname -d %{name}
%define girname		%mklibname %{name}-gir %{api}

%define url_ver %(echo %{version} | cut -d "." -f -2)

Summary:	Gnome Docking library
Name:		gdl
Version:	3.6.2
Release:	%mkrel 2
Source0:	http://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
License:	LGPLv2+
Group:		System/Libraries
Url:		http://www.gnome.org
BuildRequires:	pkgconfig(libxml-2.0) >= 2.2.8
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.0.0
BuildRequires:	gobject-introspection-devel >= 0.6.7
BuildRequires:	intltool
BuildRequires:	gtk-doc

%description
Provides docking features for gtk+. Currently used by anjuta and lumiera.

%package i18n
Summary:        Gnome Docking library - translations
Group:          System/Internationalization
Obsoletes:	%{name} < 3.3.1

%description i18n
Provides docking features for gtk+. Currently used by anjuta and lumiera.

%package -n %{libname}
Group:		System/Libraries
Summary:	Gnome Docking library - shared library
Requires:	%{name}-i18n >= %{version}

%description -n %{libname}
Provides docking features for gtk+. Currently used by anjuta and lumiera.

%package -n %{libnamedev}
Group:		Development/C
Summary:	Gnome Docking library - development components
Requires:	%{libname} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{libnamedev}
Provides docking features for gtk+. Currently used by anjuta and lumiera.

%package -n %{girname}
Summary:        GObject Introspection interface description for %{name}
Group:          System/Libraries
Requires:       %{libname} = %{version}-%{release}

%description -n %{girname}
GObject Introspection interface description for %{name}.

%prep
%setup -q

%build
%configure2_5x --disable-static
%make

%install
%makeinstall_std

%find_lang %{name}-%{api}

#we don't want these
find %{buildroot} -name "*.la" -exec rm -rf {} \;

%files i18n -f %{name}-%{api}.lang

%files -n %{libname}
%{_libdir}/libgdl-%{api}.so.%{major}*

%files -n %{girname}
%{_libdir}/girepository-1.0/Gdl-%{api}.typelib

%files -n %{libnamedev}
%doc README NEWS MAINTAINERS AUTHORS ChangeLog
%doc %{_datadir}/gtk-doc/html/*
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*
%{_includedir}/*
%{_datadir}/gir-1.0/Gdl-%{api}.gir


%changelog

* Fri Jan 11 2013 umeabot <umeabot> 3.6.2-2.mga3
+ Revision: 351152
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Nov 11 2012 fwang <fwang> 3.6.2-1.mga3
+ Revision: 316988
- new version 3.6.2

* Wed Sep 26 2012 ovitters <ovitters> 3.6.0-1.mga3
+ Revision: 298468
- new version 3.6.0

* Thu Sep 06 2012 fwang <fwang> 3.5.91-1.mga3
+ Revision: 288720
- update libmajor

  + ovitters <ovitters>
    - new version 3.5.91

* Mon Aug 06 2012 ovitters <ovitters> 3.5.5-1.mga3
+ Revision: 279408
- new version 3.5.5

* Fri Jul 27 2012 fwang <fwang> 3.5.4-1.mga3
+ Revision: 274888
- update libmajor

  + ovitters <ovitters>
    - new version 3.5.4

* Sun Jul 15 2012 wally <wally> 3.5.3-1.mga3
+ Revision: 271100
- new major 0

  + ovitters <ovitters>
    - new version 3.5.3

* Sun Apr 22 2012 ovitters <ovitters> 3.4.2-1.mga2
+ Revision: 232668
- increase major
- new version 3.4.2

* Wed Mar 28 2012 ovitters <ovitters> 3.4.1-1.mga2
+ Revision: 227368
- decrease major to 1
- new version 3.4.1

* Mon Mar 26 2012 ovitters <ovitters> 3.4.0-1.mga2
+ Revision: 226859
- increase major
- new version 3.4.0

* Tue Mar 06 2012 fwang <fwang> 3.3.91-1.mga2
+ Revision: 220280
- new version 3.3.91

* Tue Feb 21 2012 fwang <fwang> 3.3.90-1.mga2
+ Revision: 211342
- new version 3.3.90

* Mon Jan 16 2012 ovitters <ovitters> 3.3.4-1.mga2
+ Revision: 197042
- new version
- clean spec

* Fri Oct 28 2011 wally <wally> 3.3.1-1.mga2
+ Revision: 159143
- new version 3.1.1
- new major 2
- new subpackage for i18n files
- move docs from main pkg to -devel pkg and remove empty main pkg

* Mon Oct 03 2011 wally <wally> 3.2.0-1.mga2
+ Revision: 151366
- new version 3.2.0
- new version 3.1.4
- add more general provides to -devel package

  + fwang <fwang>
    - new version 3.1.5

* Wed Jul 06 2011 wally <wally> 3.1.2-1.mga2
+ Revision: 119548
- new version 3.1.2
- clean .spec a bit

* Tue Jun 21 2011 dmorgan <dmorgan> 3.0.2-2.mga2
+ Revision: 111123
- Split girepository file on its own package

* Tue Jun 21 2011 fwang <fwang> 3.0.2-1.mga2
+ Revision: 111104
- update file list
- new version 3.0.2

* Sun Jan 23 2011 pterjan <pterjan> 2.30.1-1.mga1
+ Revision: 35341
- Drop old stuff
- imported package gdl

